package com.cab.dao;

import java.util.List;

import com.cab.model.Content;
import com.cab.model.ContentType;

public interface ContentTypeMapper {
    List<ContentType> selectAll();
    List<ContentType> getIsFirst(String paramsType);
    List<ContentType> selectByParentIdList(List<String> parentIdList);

    ContentType selectByPrimaryKey(String id);

    int deleteByPrimaryKey(String id);

    int updateByPrimaryKeySelective(ContentType contentType);

    int insertSelective(ContentType contentType);
}